import javax.swing as swing

class Draw:
        def __init__(self):
                frame = swing.JFrame("Simple Drawing Program")
                canvas = swing.JPanel()
                canvas.preferredSize = (400, 400)

                canvas.mousePressed = self.pressCallback
                canvas.mouseReleased = self.releaseCallback

                frame.contentPane.add(canvas)
                frame.pack()
                frame.show()

        def pressCallback(self, event):
                self.startx = event.x
                self.starty = event.y

        def releaseCallback(self, event):
                graphics = event.source.graphics
                graphics.drawLine(self.startx, self.starty, event.x, event.y)

if __name__ == "__main__":
        draw = Draw()
