import javax.swing as swing

startx = 0
starty = 0

def pressCallback(event):
        global startx, starty
        startx = event.x
        starty = event.y

def releaseCallback(event):
        global startx, starty
        graphics = event.source.graphics
        graphics.drawLine(startx, starty, event.x, event.y)

if __name__ == "__main__":
        frame = swing.JFrame("Simple Drawing Program")
        canvas = swing.JPanel()
        canvas.preferredSize = (400, 400)
        frame.contentPane.add(canvas)
        frame.pack()
        frame.show()

        canvas.mousePressed = pressCallback
        canvas.mouseReleased = releaseCallback
